diff --git autoload/todo/txt.vim autoload/todo/txt.vim
index c5158f0..292e3e0 100644
--- autoload/todo/txt.vim
+++ autoload/todo/txt.vim
@@ -29,6 +29,10 @@ function! todo#txt#prepend_date()
     execute 'normal! I' . s:get_current_date() . ' '
 endfunction
 
+function! todo#txt#set_date()
+    execute "normal! 0lllli" . s:get_current_date() . " "
+endfunction
+
 function! todo#txt#replace_date()
     let current_line = getline('.')
     if (current_line =~ '^\(([a-zA-Z]) \)\?\d\{2,4\}-\d\{2\}-\d\{2\} ') &&
@@ -39,7 +43,7 @@ function! todo#txt#replace_date()
 endfunction
 
 function! todo#txt#mark_as_done()
-    call s:remove_priority()
+    "call s:remove_priority()
     call todo#txt#prepend_date()
     execute 'normal! Ix '
 endfunction
